create or replace procedure bcd_ict_pobox_syntax(in_pobox IN varchar2)
as

temp_in_pobox boolean;

begin

    temp_in_pobox:=regexp_Like(in_pobox,'\d{6}-\d{6}');
    
    if temp_in_pobox then

        update ke014t3_support.bcd_ict_common_references set ref_response='Correct PO Box' where ref_code='POBOX_VALIDATION';
        commit;
        else
        
        update ke014t3_support.bcd_ict_common_references set ref_response='Incorrect PO Box' where ref_code='POBOX_VALIDATION';
        commit;
        
    end if;

    return;
end;
